RNAlib-2.2.9

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Partition Function and Base Pair Probabilities for Sequence Alignment(s)
RNA Secondary Structure Prediction » Predicting Consensus Structures from Alignment(s)RNA Secondary Structure Prediction » | Computing Partition Functions and Pair Probabilities
Collaboration diagram for Partition Function and Base Pair Probabilities for Sequence Alignment(s):

## Functions
float | vrna_pf_alifold (const char **sequences, char *structure, vrna_plist_t **pl)
| Compute Partition function (and base pair probabilities) for an RNA sequence alignment using a comparative method. More...
float | vrna_pf_circalifold (const char **sequences, char *structure, vrna_plist_t **pl)
| Compute Partition function (and base pair probabilities) for an alignment of circular RNA sequences using a comparative method. More...
float | alipf_fold_par (const char **sequences, char *structure, vrna_plist_t **pl, vrna_exp_param_t *parameters, int calculate_bppm, int is_constrained, int is_circular)
float | alipf_fold (const char **sequences, char *structure, vrna_plist_t **pl)
| The partition function version of alifold() works in analogy to pf_fold(). Pair probabilities and information about sequence covariations are returned via the 'pi' variable as a list of vrna_pinfo_t structs. The list is terminated by the first entry with pi.i = 0. More...
float | alipf_circ_fold (const char **sequences, char *structure, vrna_plist_t **pl)
FLT_OR_DBL * | export_ali_bppm (void)
| Get a pointer to the base pair probability array. More...
void | free_alipf_arrays (void)
| Free the memory occupied by folding matrices allocated by alipf_fold, alipf_circ_fold, etc. More...

## Detailed Description

## Function Documentation

float vrna_pf_alifold | ( | const char ** | sequences,
|  | char * | structure,
|  | vrna_plist_t ** | pl
| ) |  |

`#include <ViennaRNA/alifold.h>`

Compute Partition function (and base pair probabilities) for an RNA sequence alignment using a comparative method.

This simplified interface to vrna_pf() computes the partition function and, if required, base pair probabilities for an RNA sequence alignment using default options. Memory required for dynamic programming (DP) matrices will be allocated and free'd on-the-fly. Hence, after return of this function, the recursively filled matrices are not available any more for any post-processing.

Note
  In case you want to use the filled DP matrices for any subsequent post-processing step, or you require other conditions than specified by the default model details, use vrna_pf(), and the data structure vrna_fold_compound_t instead.

See also
  vrna_pf_circalifold(), vrna_pf(), vrna_fold_compound_comparative(), vrna_fold_compound_t

Parameters

  sequences | RNA sequence alignment
  structure | A pointer to the character array where position-wise pairing propensity will be stored. (Maybe NULL)
  pl | A pointer to a list of vrna_plist_t to store pairing probabilities (Maybe NULL)

Returns
  The Gibbs free energy of the ensemble ( ) in kcal/mol

float vrna_pf_circalifold | ( | const char ** | sequences,
|  | char * | structure,
|  | vrna_plist_t ** | pl
| ) |  |

`#include <ViennaRNA/alifold.h>`

Compute Partition function (and base pair probabilities) for an alignment of circular RNA sequences using a comparative method.

This simplified interface to vrna_pf() computes the partition function and, if required, base pair probabilities for an RNA sequence alignment using default options. Memory required for dynamic programming (DP) matrices will be allocated and free'd on-the-fly. Hence, after return of this function, the recursively filled matrices are not available any more for any post-processing.

Note
  In case you want to use the filled DP matrices for any subsequent post-processing step, or you require other conditions than specified by the default model details, use vrna_pf(), and the data structure vrna_fold_compound_t instead.

Folding of circular RNA sequences is handled as a post-processing step of the forward recursions. See [7] for further details.

See also
  vrna_pf_alifold(), vrna_pf(), vrna_fold_compound_comparative(), vrna_fold_compound_t

Parameters

  sequences | Sequence alignment of circular RNAs
  structure | A pointer to the character array where position-wise pairing propensity will be stored. (Maybe NULL)
  pl | A pointer to a list of vrna_plist_t to store pairing probabilities (Maybe NULL)

Returns
  The Gibbs free energy of the ensemble ( ) in kcal/mol

float alipf_fold_par | ( | const char ** | sequences,
|  | char * | structure,
|  | vrna_plist_t ** | pl,
|  | vrna_exp_param_t * | parameters,
|  | int | calculate_bppm,
|  | int | is_constrained,
|  | int | is_circular
| ) |  |

`#include <ViennaRNA/alifold.h>`

Deprecated:
  Use vrna_pf() instead

Parameters

  sequences |
  structure |
  pl |
  parameters |
  calculate_bppm |
  is_constrained |
  is_circular |

Returns

float alipf_fold | ( | const char ** | sequences,
|  | char * | structure,
|  | vrna_plist_t ** | pl
| ) |  |

`#include <ViennaRNA/alifold.h>`

The partition function version of alifold() works in analogy to pf_fold(). Pair probabilities and information about sequence covariations are returned via the 'pi' variable as a list of vrna_pinfo_t structs. The list is terminated by the first entry with pi.i = 0.

Deprecated:
  Use vrna_pf() instead

Parameters

  sequences |
  structure |
  pl |

Returns

float alipf_circ_fold | ( | const char ** | sequences,
|  | char * | structure,
|  | vrna_plist_t ** | pl
| ) |  |

`#include <ViennaRNA/alifold.h>`

Deprecated:
  Use vrna_pf() instead

Parameters

  sequences |
  structure |
  pl |

Returns

FLT_OR_DBL* export_ali_bppm | ( | void |  | ) |

`#include <ViennaRNA/alifold.h>`

Get a pointer to the base pair probability array.

Accessing the base pair probabilities for a pair (i,j) is achieved by

    FLT_OR_DBL *pr = export_bppm(); pr_ij = pr[iindx[i]-j];

Deprecated:
  Usage of this function is discouraged! The new vrna_fold_compound_t allows direct access to the folding matrices, including the pair probabilities! The pair probability array returned here reflects the one of the latest call to vrna_pf(), or any of the old API calls for consensus structure partition function folding.

See also
  vrna_fold_compound_t, vrna_fold_compound_comparative(), and vrna_pf()

Returns
  A pointer to the base pair probability array

void free_alipf_arrays | ( | void |  | ) |

`#include <ViennaRNA/alifold.h>`

Free the memory occupied by folding matrices allocated by alipf_fold, alipf_circ_fold, etc.

Deprecated:
  Usage of this function is discouraged! This function only free's memory allocated by old API function calls. Memory allocated by any of the new API calls (starting with vrna_) will be not affected!

See also
  vrna_fold_compound_t, vrna_vrna_fold_compound_free()